PublishToIvyRepository.RepositorySpec.Configured (Gradle API 9.6.1)
Description: declaration: package: org.gradle.api.publish.ivy.tasks, class: PublishToIvyRepository, class: RepositorySpec, class: Configured

Package org.gradle.api.publish.ivy.tasks

# Class PublishToIvyRepository.RepositorySpec.Configured

java.lang.Object
org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec
org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec.Configured

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PublishToIvyRepository.RepositorySpec`

static class PublishToIvyRepository.RepositorySpec.Configured extends PublishToIvyRepository.RepositorySpec implements Serializable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec

  `PublishToIvyRepository.RepositorySpec.Configured, PublishToIvyRepository.RepositorySpec.CredentialsSpec, PublishToIvyRepository.RepositorySpec.DefaultRepositorySpec`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final org.gradle.api.internal.artifacts.repositories.DefaultIvyArtifactRepository`
  `repository`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configured(org.gradle.api.internal.artifacts.repositories.DefaultIvyArtifactRepository repository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) IvyArtifactRepository`
  `get(org.gradle.internal.service.ServiceRegistry services)`

  ### Methods inherited from class org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec

  `of`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### repository

    final org.gradle.api.internal.artifacts.repositories.DefaultIvyArtifactRepository repository

- ## Constructor Details

  - ### Configured

    public Configured(org.gradle.api.internal.artifacts.repositories.DefaultIvyArtifactRepository repository)

- ## Method Details

  - ### get

    IvyArtifactRepository get(org.gradle.internal.service.ServiceRegistry services)
    Specified by:
      `get` in class `PublishToIvyRepository.RepositorySpec`